/*++

Copyright (c) Sydus.

Module:

    ILogSink.h

Authors:

    Sharvil Nanavati (sharvil) 2008-06-17

--*/

#pragma once

#include "base.h"
#include "ILogSink.h"

class StdoutLogSink : public ILogSink
{
	public:
		void Log(const ELogLevel & level, const std::string & message)
		{
			printf("%s\n", message.c_str());
		}
};
