/*++

Copyright (c) Sydus.

Module:

    Crc32.h

Authors:

    Sharvil Nanavati (sharvil) 2005-11-22

--*/

#pragma once

#include "base.h"

class Crc32
{
	public:
		Crc32();
		~Crc32();

		uint32 Checksum(const BString & data) const;
		uint32 Checksum(const uint8 * data, uint32 length) const;

	private:
		static const uint32 KCrcLookup[256];
};
