/*++

Copyright (c) Sydus.

Module:

    Crc8.h

Authors:

    Sharvil Nanavati (sharvil) 2008-04-17

--*/

#pragma once

#include "base.h"

class Crc8
{
	public:
		Crc8();
		~Crc8();

		uint8 Checksum(const BString & data) const;
		uint8 Checksum(const uint8 * data, uint32 length) const;

	private:
		static const uint8 KCrcLookup[256];
};
